Subject: Re: [PATCH 7/9] fetch: fetch submodules in parallel

From: Jonathan Nieder <[email-masked]>
Date: Fri, 28 Aug 2015 10:01:41 -0700

Stefan Beller wrote:
> On Thu, Aug 27, 2015 at 6:14 PM, Stefan Beller <[email-masked]> wrote:

>> This makes use of the new task queue and the syncing feature of
>> run-command to fetch a number of submodules at the same time.
>>
>> The output will look like it would have been run sequential,
>> but faster.
>
> And it breaks the tests t5526-fetch-submodules.sh as the output is done
> on stderr only, instead of putting "Fetching submodule <submodule-path>
> to stdout. :(
>
> I guess combining stdout and stderr is not a good strategy after all now.

IMHO the "Fetching submodule <submodule-path>" output always should have
gone to stderr.  It is not output that scripts would be relying on ---
it is just progress output.

So a preliminary patch doing that (and updating tests) would make sense
to me.

Thoughts?
Jonathan